## org.hibernate.type.descriptor.java
Class BinaryStreamImpl

    java.lang.Object
      java.io.InputStream
          java.io.ByteArrayInputStream
              org.hibernate.type.descriptor.java.BinaryStreamImpl

All Implemented Interfaces:
  Closeable, BinaryStream

    public class BinaryStreamImpl

extends ByteArrayInputStream
implements BinaryStream

Implementation of `BinaryStream`

Author:
  Steve Ebersole

Field Summary

Fields inherited from class java.io.ByteArrayInputStream
`buf, count, mark, pos`

Constructor Summary
`BinaryStreamImpl(byte[] bytes)`

Method Summary
`byte[]` `getBytes()` Access to the bytes.
`InputStream` `getInputStream()` Retrieve the input stream.
`int` `getLength()` Retrieve the length of the input stream

Methods inherited from class java.io.ByteArrayInputStream
`available, close, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.io.InputStream
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BinaryStreamImpl

    public BinaryStreamImpl(byte[] bytes)

Method Detail

### getInputStream

    public InputStream getInputStream()

  Description copied from interface: `BinaryStream`
  Retrieve the input stream.

  Specified by:
    `getInputStream` in interface `BinaryStream`
  Returns:
    The input stream

### getBytes

    public byte[] getBytes()

  Description copied from interface: `BinaryStream`
  Access to the bytes.

  Specified by:
    `getBytes` in interface `BinaryStream`
  Returns:
    The bytes.

### getLength

    public int getLength()

  Description copied from interface: `BinaryStream`
  Retrieve the length of the input stream

  Specified by:
    `getLength` in interface `BinaryStream`
  Returns:
    The input stream length

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.